#!/bin/sh -x
set -e

# My FAAS is arm64, so need to install this to cross-compile
docker run --rm --privileged \
  multiarch/qemu-user-static \
  --reset -p yes

# secrets

pass iol-pass | faas-cli secret create iol-pass
pass iol-user | faas-cli secret create iol-user
pass iol-api-secret | faas-cli secret create iol-api-secret


faas-cli publish -f functions.yml --platforms linux/arm64 --build-arg 'TEST_ENABLED=false' $*
faas-cli deploy -f functions.yml $*
